.cookie-consent {
  --p-margin--y: 0;

  position: fixed;
  bottom: -200px;
  margin: 0 auto;
  padding: var(--spacing-md) var(--spacing-lg);
  background: color-mix(in sRGB, var(--color-background), transparent 50%);
  backdrop-filter: saturate(280%) blur(40px);
  box-shadow: var(--shadow-xs);
  border-radius: var(--spacing-xs) var(--spacing-xs) 0 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: var(--spacing-md);
  align-items: center;
  transition: bottom 0.3s ease-in-out;
  z-index: 1000;
  width: 100%;

  @media screen and (min-width: 768px) {
    flex-direction: row;
    left: 20px;
    right: 20px;
    border-radius: var(--spacing-xs);
  }
}

.cookie-consent--visible--true {
  bottom: 0;

  @media screen and (min-width: 768px) {
    bottom: 20px;
    max-width: 600px;
  }
}

.cookie-content__content {
  display: flex;
  gap: var(--spacing-xs);
  flex-direction: column;
  font: var(--typography-body-small);
  line-height: 1.2;
}

.cookie-content__button {
  font-weight: bold;
}